Subject: Re: bug#22891: 25.0.92; set-fringe-mode with left fringe 0 breaks window width calculations on Mac OS (again)

From: Anders Lindgren <[email-masked]>
Date: Fri, 15 Apr 2016 10:05:19 +0200

Hi!

To see what I meant, create a new buffer with "C-x b", then paste the
> same text there, after setting the left fringe width to zero.
>

Yes, now I see it. (However, the continuation characters disappeared when
L2R text was entered on the line before the R2L text.)

> Also, I noticed that `window-max-chars-per-line' does not take into
> account the variable `left-frame-width' (and
> > presumably `right-frame-width').
>
> You mean left-fringe-width, I presume?  Yes, that's probably a bug.
>

Yes, I mean `left-fringe-width'.

> Why is this useful, when we already have window-max-chars-per-line?
> IOW, when would you like to know about the continuation glyph, and not
> about how many characters can be displayed on a line?
>

I intended it as a way to implement `window-max-chars-per-line' in a more
robust way than today.

In addition, I can think of a use case. If you want to create a window of a
specific width, excluding the continuation glyph, this can be used:

   (split-window-right (if (continuation-glyph-visible-p (selected-window))
                                  (+ width 1)
                                width))

    -- Anders